#!/bin/sh

echo "start upgrade......"
killall -9 syslogd
killall -9 klogd
killall -9 getty
killall monitor
killall -9 SayHi
killall -9 udhcpc
killall eeprom-update

sync
echo 1 > /proc/sys/vm/drop_caches
sleep 3

mv /tmp/upload.sh /usr/sbin/
chmod 777 /usr/sbin/upload.sh
mv /tmp/*.txt /mnt/system/
mv /tmp/Ring* /mnt/system/
mv /tmp/monitor /mnt/system/monitor
mv /tmp/sip/SONiX_UVC_TestAP /mnt/sip/SONiX_UVC_TestAP
mv /tmp/sip/ftp /mnt/sip/ftp
mv /tmp/SayHi /mnt/system/SayHi
mv /tmp/setmac /mnt/system/setmac
mv /tmp/SN /mnt/system/SN
mv /tmp/start.sh /mnt/system/start.sh
mv /tmp/modules/*.ko /mnt/system/modules/
mv /tmp/wpa_supplicant /mnt/system/wpa_supplicant
mv /tmp/css/app_dsp /usr/bin/app_dsp
mv /tmp/css/css-loader-ip /lib/firmware/css-loader-ip
mv /tmp/udhcpc /mnt/system/udhcpc
mv /tmp/default.script /usr/share/udhcpc/default.script
mv /tmp/sample.nak /usr/share/udhcpc/sample.nak
mv /tmp/sample.renew /usr/share/udhcpc/sample.renew
mv /tmp/sample.bound /usr/share/udhcpc/sample.bound
chmod 777 /usr/share/udhcpc/ -R
mv /tmp/iptables /usr/sbin/
mkdir /mnt/system/l2tp/
mv /tmp/l2tp/* /mnt/system/l2tp/
mv /tmp/ftp* /usr/bin/
chmod 777 /usr/bin/ftp*
mv /tmp/wpa_supplicant.conf /etc/wpa_supplicant.conf
mkdir -p /etc/ppp/
mv /tmp/ppp/* /etc/ppp/
chmod 777 -R /etc/ppp/
mv /tmp/pppoe/* /usr/sbin/
chmod 777 /usr/sbin/ppp*

remote=$(md5sum /tmp/boot/uImage|cut -d ' ' -f1)
local=$(md5sum /boot/uImage|cut -d ' ' -f1)

if [ "$remote" == "$local" ];then
	echo uImage md5 same
else
	echo uImage md5 change
	mv /tmp/boot/uImage /boot/uImage
fi

remote=$(md5sum /tmp/boot/dvf99-evb.dtb|cut -d ' ' -f1)
local=$(md5sum /boot/dvf99-evb.dtb|cut -d ' ' -f1)

if [ "$remote" == "$local" ];then
	echo dvf99-evb.dtb md5 same
else
	echo dvf99-evb.dtb md5 change
	mv /tmp/boot/dvf99-evb.dtb /boot/dvf99-evb.dtb
fi


rm -rf /tmp/*

fw_setenv linux_bootargs ubi.mtd=rootfs-2 root=ubi0:rootfs rootflags=sync rootfstype=ubifs rw
mkdir -p /mnt/escfg
mtd=$(cat /etc/fstab|grep escfg|awk  '{print $1}')
if [ "$mtd" == "/dev/mtdblock2" ];then
      echo $mtd ready
else
      echo /dev/mtdblock2  /mnt/escfg  jffs2  defaults  0  0 >>/etc/fstab
fi

reboot
sleep 3
echo "upgrade  succeed and run reboot"
echo "upgrade  succeed and run reboot" >> /mnt/sip/flashcp.txt
exit 0
